summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2018-08-26 10:02:33 +0200
committerMichał Górny <mgorny@gentoo.org>2018-08-26 10:25:09 +0200
commitb8f30561aece8d833fcc6e6a2ab7a4e16ea80d68 (patch)
tree6a930a79b4d10ee02eb0c869b0ceab449eccc1bd
parentapp-i18n/scim-wnn: Remove support for non-existent deps (diff)
downloadgentoo-b8f30561aece8d833fcc6e6a2ab7a4e16ea80d68.tar.gz
gentoo-b8f30561aece8d833fcc6e6a2ab7a4e16ea80d68.tar.bz2
gentoo-b8f30561aece8d833fcc6e6a2ab7a4e16ea80d68.zip
app-i18n/uim: Remove support for non-existent deps
-rw-r--r--app-i18n/uim/uim-1.8.6-r1.ebuild17
-rw-r--r--app-i18n/uim/uim-1.8.6-r2.ebuild17
2 files changed, 14 insertions, 20 deletions
diff --git a/app-i18n/uim/uim-1.8.6-r1.ebuild b/app-i18n/uim/uim-1.8.6-r1.ebuild
index af634f34baf..8a86ae8ad0f 100644
--- a/app-i18n/uim/uim-1.8.6-r1.ebuild
+++ b/app-i18n/uim/uim-1.8.6-r1.ebuild
@@ -12,11 +12,10 @@ SRC_URI="https://github.com/${PN}/${PN}/releases/download/${P}/${P}.tar.bz2"
LICENSE="BSD GPL-2 LGPL-2.1"
SLOT="0"
KEYWORDS="amd64 ~arm hppa ppc ppc64 x86"
-IUSE="X +anthy canna curl eb emacs expat libffi gtk gtk2 l10n_ja l10n_ko l10n_zh-CN l10n_zh-TW libedit libnotify m17n-lib ncurses nls qt4 skk sqlite ssl static-libs xft"
+IUSE="X +anthy canna curl eb emacs expat libffi gtk gtk2 l10n_ja l10n_ko l10n_zh-CN l10n_zh-TW libedit libnotify m17n-lib ncurses nls skk sqlite ssl static-libs xft"
RESTRICT="test"
REQUIRED_USE="gtk? ( X )
gtk2? ( X )
- qt4? ( X )
xft? ( X )"
CDEPEND="!dev-scheme/sigscheme
@@ -43,7 +42,6 @@ CDEPEND="!dev-scheme/sigscheme
m17n-lib? ( dev-libs/m17n-lib )
ncurses? ( sys-libs/ncurses:0= )
nls? ( virtual/libintl )
- qt4? ( dev-qt/qtgui:4[qt3support] )
skk? ( app-i18n/skk-jisyo )
sqlite? ( dev-db/sqlite:3 )
ssl? ( dev-libs/openssl:0 )"
@@ -111,16 +109,16 @@ src_configure() {
$(use_with m17n-lib m17nlib)
$(use_enable ncurses fep)
$(use_enable nls)
- $(use_with qt4 qt4)
- $(use_with qt4 qt4-immodule)
- $(use_enable qt4 qt4-qt3support)
+ --without-qt4
+ --without-qt4-immodule
+ --disable-qt4-qt3support
$(use_with skk)
$(use_with sqlite sqlite3)
$(use_enable ssl openssl)
$(use_enable static-libs static)
$(use_with xft)
--without-anthy
- --enable-default-toolkit=$(usex gtk gtk3 $(usex gtk2 gtk $(usex qt4 qt4)))
+ --enable-default-toolkit=$(usex gtk gtk3 $(usex gtk2 gtk))
--disable-gnome-applet
--disable-gnome3-applet
--disable-kde-applet
@@ -139,13 +137,12 @@ src_configure() {
myconf+=( --enable-notify=libnotify )
fi
- if use gtk || use gtk2 || use qt4; then
+ if use gtk || use gtk2; then
myconf+=( --enable-pref )
else
myconf+=( --disable-pref )
fi
- export QT4DIR="$(qt4_get_libdir)"
econf "${myconf[@]}"
}
@@ -190,7 +187,7 @@ pkg_postinst() {
elog "to your ~/.uim."
elog
elog "All input methods can be found by running uim-im-switcher-gtk, "
- elog "uim-im-switcher-gtk3 or uim-im-switcher-qt4."
+ elog "uim-im-switcher-gtk3."
if use emacs; then
elisp-site-regen
diff --git a/app-i18n/uim/uim-1.8.6-r2.ebuild b/app-i18n/uim/uim-1.8.6-r2.ebuild
index 8ecd96c0215..3183a39a2a3 100644
--- a/app-i18n/uim/uim-1.8.6-r2.ebuild
+++ b/app-i18n/uim/uim-1.8.6-r2.ebuild
@@ -12,11 +12,10 @@ SRC_URI="https://github.com/${PN}/${PN}/releases/download/${P}/${P}.tar.bz2"
LICENSE="BSD GPL-2 LGPL-2.1"
SLOT="0"
KEYWORDS="~amd64 ~arm ~hppa ~ppc ~ppc64 ~x86"
-IUSE="X +anthy canna curl eb emacs expat libffi gtk gtk2 l10n_ja l10n_ko l10n_zh-CN l10n_zh-TW libedit libnotify libressl m17n-lib ncurses nls qt4 skk sqlite ssl static-libs xft"
+IUSE="X +anthy canna curl eb emacs expat libffi gtk gtk2 l10n_ja l10n_ko l10n_zh-CN l10n_zh-TW libedit libnotify libressl m17n-lib ncurses nls skk sqlite ssl static-libs xft"
RESTRICT="test"
REQUIRED_USE="gtk? ( X )
gtk2? ( X )
- qt4? ( X )
xft? ( X )"
CDEPEND="!dev-scheme/sigscheme
@@ -43,7 +42,6 @@ CDEPEND="!dev-scheme/sigscheme
m17n-lib? ( dev-libs/m17n-lib )
ncurses? ( sys-libs/ncurses:0= )
nls? ( virtual/libintl )
- qt4? ( dev-qt/qtgui:4[qt3support] )
skk? ( app-i18n/skk-jisyo )
sqlite? ( dev-db/sqlite:3 )
ssl? (
@@ -115,16 +113,16 @@ src_configure() {
$(use_with m17n-lib m17nlib)
$(use_enable ncurses fep)
$(use_enable nls)
- $(use_with qt4 qt4)
- $(use_with qt4 qt4-immodule)
- $(use_enable qt4 qt4-qt3support)
+ --without-qt4
+ --without-qt4-immodule
+ --disable-qt4-qt3support
$(use_with skk)
$(use_with sqlite sqlite3)
$(use_enable ssl openssl)
$(use_enable static-libs static)
$(use_with xft)
--without-anthy
- --enable-default-toolkit=$(usex gtk gtk3 $(usex gtk2 gtk $(usex qt4 qt4)))
+ --enable-default-toolkit=$(usex gtk gtk3 $(usex gtk2 gtk))
--disable-gnome-applet
--disable-gnome3-applet
--disable-kde-applet
@@ -143,13 +141,12 @@ src_configure() {
myconf+=( --enable-notify=libnotify )
fi
- if use gtk || use gtk2 || use qt4; then
+ if use gtk || use gtk2; then
myconf+=( --enable-pref )
else
myconf+=( --disable-pref )
fi
- export QT4DIR="$(qt4_get_libdir)"
econf "${myconf[@]}"
}
@@ -194,7 +191,7 @@ pkg_postinst() {
elog "to your ~/.uim."
elog
elog "All input methods can be found by running uim-im-switcher-gtk, "
- elog "uim-im-switcher-gtk3 or uim-im-switcher-qt4."
+ elog "uim-im-switcher-gtk3."
if use emacs; then
elisp-site-regen